Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

support for the powerpc toolchain
Post Reply
ericzx
Posts: 3
Joined: Sun Feb 24, 2019 2:59 am

Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

Post by ericzx » Sun Feb 24, 2019 3:23 am

I'm new to hombrew developement and devkitpro. I'm running Fedora 29 and have installed the wii-dev packages through pacman when I try to run the make command for one of the example programs I get this error

make[1]: Entering directory '/opt/devkitpro/examples/wii/template'
Makefile:7: *** "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC". Stop.
make[1]: Leaving directory '/opt/devkitpro/examples/wii/template'
make: *** [Makefile:15: examples] Error 1

I have tried typing in "export DEVKITPPC=/opt/devkitpro/devkitPPC/" in the terminal and I have tried to adding this line to my .bashrc file. Neither has changed anything. Is there anything else I can try to get this working

WinterMute
Site Admin
Posts: 1394
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

Post by WinterMute » Sun Feb 24, 2019 10:54 am

Can you show us the output of

Code: Select all

pacman -Sl
?
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

ericzx
Posts: 3
Joined: Sun Feb 24, 2019 2:59 am

Re: Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

Post by ericzx » Sun Feb 24, 2019 12:19 pm

This is the output of pacman -Sl

Code: Select all

core acl 2.2.53-1
core amd-ucode 20190212.28f5f7d-1
core archlinux-keyring 20190123-2
core argon2 20171227-3
core attr 2.4.48-1
core audit 2.8.4-3
core autoconf 2.69-5
core automake 1.16.1-1
core b43-fwcutter 019-2
core bash 5.0.0-1
core binutils 2.31.1-4
core bison 3.2-1
core bridge-utils 1.6-3
core btrfs-progs 4.20.1-2
core bzip2 1.0.6-8
core ca-certificates 20181109-1
core ca-certificates-mozilla 3.42.1-1
core ca-certificates-utils 20181109-1
core coreutils 8.30-1
core cracklib 2.9.6-3
core crda 4.14-2
core cronie 1.5.2-1
core cryptsetup 2.1.0-1
core curl 7.64.0-9
core dash 0.5.10.2-1
core db 5.3.28-4
core dbus 1.12.12-1
core dbus-docs 1.12.12-1
core device-mapper 2.02.183-2
core dhcpcd 7.0.8-1
core dialog 1:1.3_20190211-1
core diffutils 3.7-1
core ding-libs 0.6.1-2
core dmraid 1.0.0.rc16.3-11
core dnssec-anchors 20181003-1
core dosfstools 4.1-2
core e2fsprogs 1.44.5-1
core ed 1.15-1
core efibootmgr 16-1
core efivar 35-1
core elfutils 0.175-1
core expat 2.2.6-1
core fakeroot 1.23-1
core file 5.35-1
core filesystem 2018.12-2
core findutils 4.6.0-4
core flex 2.6.4-2
core gawk 4.2.1-2
core gcc 8.2.1+20181127-1
core gcc-ada 8.2.1+20181127-1
core gcc-fortran 8.2.1+20181127-1
core gcc-go 8.2.1+20181127-1
core gcc-libs 8.2.1+20181127-1
core gcc-objc 8.2.1+20181127-1
core gdbm 1.18.1-2
core gettext 0.19.8.1-3
core glib2 2.58.3-1
core glib2-docs 2.58.3-1
core glibc 2.28-5
core gmp 6.1.2-2
core gnupg 2.2.13-1
core gnutls 3.6.6-3
core gpgme 1.12.0-2
core gpm 1.20.7.r27.g1fd1941-1
core grep 3.3-1
core groff 1.22.3-8
core grub 2:2.02-8
core gssproxy 0.8.0-1
core gzip 1.10-1
core hdparm 9.58-1
core hwids 20180917-1
core iana-etc 20190219-1
core icu 63.1-2
core ifenslave 1.1.0-10
core inetutils 1.9.4-7
core iproute2 4.20.0-1
core iptables 1:1.8.2-1
core iptables-nft 1:1.8.2-1
core iputils 20180629.f6aac8d-4
core ipw2100-fw 1.3-9
core ipw2200-fw 3.1-7
core isdn4k-utils 3.27-3
core iw 5.0.1-1
core jfsutils 1.1.15-6
core json-c 0.13.1-2
core kbd 2.0.4-2
core keyutils 1.6-1
core kmod 26-2
core krb5 1.16.1-1
core ldns 1.7.0-4
core less 530-1
core lib32-gcc-libs 8.2.1+20181127-1
core lib32-glibc 2.28-5
core libaio 0.3.111-2
core libarchive 3.3.3-1
core libassuan 2.5.3-1
core libcap 2.26-1
core libcap-ng 0.7.9-1
core libedit 20181209_3.1-1
core libelf 0.175-1
core libevent 2.1.8-2
core libffi 3.2.1-3
core libgcrypt 1.8.4-1
core libgpg-error 1.35-1
core libgssglue 0.4-3
core libidn 1.35-1
core libidn2 2.1.1-2
core libksba 1.3.5-1
core libldap 2.4.47-1
core libmnl 1.0.4-2
core libmpc 1.1.0-1
core libnftnl 1.1.1-1
core libnghttp2 1.36.0-1
core libnl 3.4.0-1
core libnsl 1.2.0-1
core libpcap 1.9.0-1
core libpipeline 1.5.1-1
core libpsl 0.20.2-5
core libsasl 2.1.27-1
core libseccomp 2.3.3-1
core libsecret 0.18.7-1
core libssh2 1.8.0-3
core libtasn1 4.13-1
core libtirpc 1.1.4-1
core libtool 2.4.6+42+gb88cebd5-2
core libunistring 0.9.10-1
core libusb 1.0.22-1
core libutil-linux 2.33.1-2
core licenses 20181104-1
core links 2.18-1
core linux 4.20.11.arch2-1
core linux-api-headers 4.17.11-1
core linux-atm 2.5.2-5
core linux-docs 4.20.11.arch2-1
core linux-firmware 20190212.28f5f7d-1
core linux-headers 4.20.11.arch2-1
core linux-lts 4.19.25-1
core linux-lts-docs 4.19.25-1
core linux-lts-headers 4.19.25-1
core logrotate 3.15.0-1
core lvm2 2.02.183-2
core lz4 1:1.8.3-1
core lzo 2.10-2
core m4 1.4.18-2
core make 4.2.1-3
core man-db 2.8.5-1
core man-pages 4.16-2
core mdadm 4.0-2
core minizip 1:1.2.11-3
core mkinitcpio 25-1
core mkinitcpio-busybox 1.29.3-1
core mkinitcpio-nfs-utils 0.3-6
core mlocate 0.26.git.20170220-1
core mpfr 4.0.2-1
core nano 3.2-1
core ncurses 6.1-6
core net-tools 1.60.20180212git-1
core netctl 1.19-1
core nettle 3.4.1-1
core nfs-utils 2.3.3-1
core nfsidmap 2.3.3-1
core nilfs-utils 2.2.7-1
core npth 1.6-1
core nspr 4.20-1
core nss 3.42.1-1
core openldap 2.4.47-1
core openresolv 3.9.0-2
core openssh 7.9p1-1
core openssl 1.1.1.a-1
core openssl-1.0 1.0.2.q-1
core openvpn 2.4.7-1
core p11-kit 0.23.15-1
core pacman 5.1.2-2
core pacman-mirrorlist 20190109-1
core pam 1.3.1-1
core pambase 20190105.1-1
core patch 2.7.6-7
core pciutils 3.6.2-1
core pcre 8.42-2
core pcre2 10.32-2
core perl 5.28.1-1
core pinentry 1.1.0-4
core pkcs11-helper 1.25.1-1
core pkgconf 1.6.0-1
core popt 1.16-10
core ppp 2.4.7-5
core pptpclient 1.10.0-1
core procinfo-ng 2.0.304-7
core procps-ng 3.3.15-1
core psmisc 23.2-1
core pth 2.0.7-6
core python-audit 2.8.4-3
core python-gpgme 1.12.0-2
core python2-audit 2.8.4-3
core qgpgme 1.12.0-2
core readline 8.0.0-1
core reiserfsprogs 3.6.27-2
core rpcbind 1.2.5-2
core run-parts 4.8.6.1-1
core s-nail 14.9.11-3
core sdparm 1.10-2
core sed 4.7-1
core shadow 4.6-2
core sqlite 3.27.1-1
core sqlite-analyzer 3.27.1-1
core sqlite-doc 3.27.1-1
core sqlite-tcl 3.27.1-1
core sudo 1.8.27-1
core sysfsutils 2.1.0-10
core syslinux 6.04.pre1.r41.g5e426532-1
core systemd 241.7-2
core systemd-libs 241.7-2
core systemd-resolvconf 241.7-2
core systemd-sysvcompat 241.7-2
core tar 1.31-2
core texinfo 6.5-2
core thin-provisioning-tools 0.7.6-1
core traceroute 2.1.0-2
core tzdata 2018i-1
core usbutils 010-1
core util-linux 2.33.1-2
core vi 1:070224-3
core which 2.21-3
core wireless-regdb 2018.10.24-2
core wireless_tools 30.pre9-2
core wpa_actiond 1.4-3
core wpa_supplicant 2:2.6-2
core xfsprogs 4.19.0-2
core xinetd 2.3.15-5
core xz 5.2.4-1
core zlib 1:1.2.11-3
core zstd 1.3.8-1
dkp-libs 3ds-bulletphysics 2.87-3
dkp-libs 3ds-bzip2 1.0.6-3
dkp-libs 3ds-curl 7.59.0-3
dkp-libs 3ds-examples 20190102-1
dkp-libs 3ds-flite 2.1-2
dkp-libs 3ds-freetype 2.9-1
dkp-libs 3ds-jansson 2.11-1
dkp-libs 3ds-libarchive 3.1.2-3
dkp-libs 3ds-libconfig 1.7.2-2
dkp-libs 3ds-libid3tag 0.15.1b-1
dkp-libs 3ds-libjpeg-turbo 1.5.3-2
dkp-libs 3ds-liblzma 5.2.3-1
dkp-libs 3ds-libmad 0.15.1b-1
dkp-libs 3ds-libogg 1.3.3-2
dkp-libs 3ds-libopus 1.3-1
dkp-libs 3ds-libpng 1.6.34-1
dkp-libs 3ds-libvorbisidec 1.2.1-3
dkp-libs 3ds-mbedtls 2.8.0-2
dkp-libs 3ds-mikmod 3.3.11.1-1
dkp-libs 3ds-mpg123 1.25.10-1
dkp-libs 3ds-opusfile 0.11-1
dkp-libs 3ds-pkg-config 0.28-2
dkp-libs 3ds-sdl 1.2.15-8
dkp-libs 3ds-sdl_gfx 2.0.25-1
dkp-libs 3ds-sdl_image 1.2.12-2
dkp-libs 3ds-sdl_mixer 1.2.12-8
dkp-libs 3ds-sdl_ttf 2.0.11-1
dkp-libs 3ds-tinyxml2 6.0.0-2
dkp-libs 3ds-wildmidi 0.4.3-1
dkp-libs 3ds-zlib 1.2.11-2
dkp-libs citro2d 1.1.0-1
dkp-libs citro3d 1.5.0-1
dkp-libs default-arm7 0.7.4-2
dkp-libs devkitarm-crtls 1.0.0-1
dkp-libs devkitarm-rules 1.0.0-1
dkp-libs devkitppc-rules 1.0.0-1 [installed]
dkp-libs devkitpro-pkgbuild-helpers 1.4.0-1
dkp-libs dswifi 0.4.2-1
dkp-libs gamecube-examples 20190201-1
dkp-libs gba-examples 20190122-1
dkp-libs gp32-examples 20051021-2
dkp-libs libctru 1.5.1-4
dkp-libs libfat-gba 1.1.3-2
dkp-libs libfat-nds 1.1.3-2
dkp-libs libfat-ogc 1.1.3-1 [installed]
dkp-libs libfilesystem 0.9.14-1
dkp-libs libgba 0.5.2-2
dkp-libs libmirko 0.9.8-1
dkp-libs libnds 1.7.3-3
dkp-libs libnx 2.0.0-2
dkp-libs libogc 1.8.21-1 [installed]
dkp-libs libtonc 1.4.3-3
dkp-libs maxmod-gba 1.0.12-1
dkp-libs maxmod-nds 1.0.11-2
dkp-libs nds-bzip2 1.0.6-3
dkp-libs nds-examples 20181226-1
dkp-libs nds-freetype 2.9-1
dkp-libs nds-libexpat 2.2.5-1
dkp-libs nds-libpng 1.6.34-1
dkp-libs nds-pkg-config 0.28-2
dkp-libs nds-zlib 1.2.11-1
dkp-libs ppc-bzip2 1.0.6-1
dkp-libs ppc-freetype 2.9-3
dkp-libs ppc-glm 0.9.9.2-1
dkp-libs ppc-libgd 2.2.5-1
dkp-libs ppc-libjpeg-turbo 1.5.3-3
dkp-libs ppc-libmad 0.15.1b-1
dkp-libs ppc-libogg 1.3.3-2
dkp-libs ppc-libpng 1.6.34-1
dkp-libs ppc-libvorbisidec 1.2.1-1
dkp-libs ppc-mpg123 1.25.10-2
dkp-libs ppc-mxml 2.11-1
dkp-libs ppc-pkg-config 0.28-3
dkp-libs ppc-zlib 1.2.11-1
dkp-libs switch-bulletphysics 2.88-2
dkp-libs switch-bzip2 1.0.6-2
dkp-libs switch-curl 7.59.0-1
dkp-libs switch-examples 20190102-1
dkp-libs switch-ffmpeg 4.0.1-2
dkp-libs switch-flac 1.3.2-1
dkp-libs switch-freetype 2.9-3
dkp-libs switch-giflib 5.1.4-1
dkp-libs switch-glad 0.1.27-1
dkp-libs switch-glm 0.9.9.1-1
dkp-libs switch-jansson 2.11-1
dkp-libs switch-libass 0.14.0-1
dkp-libs switch-libconfig 1.7.2-1
dkp-libs switch-libdrm_nouveau 1.0.0-1
dkp-libs switch-libexpat 2.2.5-1
dkp-libs switch-libfribidi 1.0.4-1
dkp-libs switch-libjpeg-turbo 1.5.3-1
dkp-libs switch-libjson-c 0.13.1-1
dkp-libs switch-libmad 0.15.1b-1
dkp-libs switch-libmikmod 3.3.11.1-2
dkp-libs switch-libmodplug 0.8.8.5-1
dkp-libs switch-libogg 1.3.3-1
dkp-libs switch-libopus 1.2.1-1
dkp-libs switch-libpng 1.6.34-3
dkp-libs switch-libsamplerate 0.1.9-1
dkp-libs switch-libtheora 1.1.1-1
dkp-libs switch-libvorbis 1.3.5-1
dkp-libs switch-libvorbisidec 1.2.1-1
dkp-libs switch-libxml2 2.9.8-1
dkp-libs switch-mesa 18.3-2
dkp-libs switch-mpg123 1.25.10-2
dkp-libs switch-opusfile 0.10-3
dkp-libs switch-pkg-config 0.28-2
dkp-libs switch-sdl2 2.0.8-17
dkp-libs switch-sdl2_gfx 1.0.4-1
dkp-libs switch-sdl2_image 2.0.3-3
dkp-libs switch-sdl2_mixer 2.0.2-2
dkp-libs switch-sdl2_net 2.0.1-1
dkp-libs switch-sdl2_ttf 2.0.14-2
dkp-libs switch-zlib 1.2.11-2
dkp-libs wii-examples 20190201-1 [installed]
dkp-libs wiiu-pkg-config 0.28-2
dkp-libs wut 1.0.0_beta7-1
dkp-linux 3dslink 0.5.2-2
dkp-linux 3dstools 1.1.4-2
dkp-linux devkit-env 1.0.1-1 [installed]
dkp-linux devkitA64 r12-2
dkp-linux devkitARM r51-1
dkp-linux devkitPPC r34-1 [installed]
dkp-linux devkitpro-keyring r1.787e015-2 [installed]
dkp-linux dstools 1.2.1-1
dkp-linux gamecube-tools 1.0.2-1 [installed]
dkp-linux gba-tools 1.2.0-1
dkp-linux general-tools 1.0.2-2 [installed]
dkp-linux gp32-tools 1.0.3-1
dkp-linux grit 0.8.15-1
dkp-linux mmutil 1.8.7-1
dkp-linux ndstool 2.1.2-1
dkp-linux picasso 2.7.0-1
dkp-linux switch-tools 1.5.0-1
dkp-linux tex3ds 1.0.1-1
dkp-linux wiiload 0.5.1-1 [installed]
dkp-linux wut-tools 1.0.0-1

WinterMute
Site Admin
Posts: 1394
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

Post by WinterMute » Sun Feb 24, 2019 1:07 pm

Sorry, should have asked for the output of

Code: Select all

echo $SHELL
too.

This should work fine if your shell is bash & you logout & login again after installing the tools. Will need some more investigation if it doesn't.
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

ericzx
Posts: 3
Joined: Sun Feb 24, 2019 2:59 am

Re: Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

Post by ericzx » Sun Feb 24, 2019 10:59 pm

I found a solution actually, I have to run make while signed in to the root account or while using "sudo bash", it doesn't work if I use sudo make though which is interesting. I wonder why this is.

also if it helps any this is the output of echo $SHELL

/bin/bash

Disregard part of the above I can get run to go through but I can't get "run make" to work as listed on this page https://wiibrew.org/wiki/Devkitppc_setup_(Linux)

WinterMute
Site Admin
Posts: 1394
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Can't find solution for "Please set DEVKITPPC in your environment. export DEVKITPPC=<path to>devkitPPC"

Post by WinterMute » Mon Feb 25, 2019 10:41 am

ericzx wrote:
Sun Feb 24, 2019 10:59 pm
I found a solution actually, I have to run make while signed in to the root account or while using "sudo bash", it doesn't work if I use sudo make though which is interesting. I wonder why this is.
Copy the template, don't try to compile it in place. I've edited the poor instructions you finally decided to tell us you were following.
Disregard part of the above I can get run to go through but I can't get "run make" to work as listed on this page https://wiibrew.org/wiki/Devkitppc_setup_(Linux)
We're going to need more information ideally just copy & paste the output of your terminal including the commands you're using.
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Post Reply

Who is online

Users browsing this forum: Bing [Bot] and 1 guest